Skip to main content
POST
Archive a commitment for a donor

Authorizations

X-HYS-API-Key
string
header
required

Gratona API key sent with the compatibility header X-HYS-API-Key.

Path Parameters

donor_entity_id
integer<int64>
required

The ID of the donor entity

Body

application/json

Confirmation token returned by the sponsorship lifecycle preview. Required while sponsorship lifecycle controls are enabled.

preview_token
string

Short-lived token binding the mutation to the exact previewed sponsorship and billing state.

Example:

"eyJpdiI6Ik..."

reason_code
string | null
Example:

"donor_cancelled"

notes
string | null
Maximum string length: 2000
effective_at
string<date> | null

Response

Successful operation

message
string
Example:

"Commitment Successfully Removed."